=== admin/CMakeLists.txt ===
IF(WIN32)
    INSTALL(DIRECTORY win DESTINATION share/tomahawk/admin )
ENDIF(WIN32)
