=== thirdparty/CMakeLists.txt ===
ADD_SUBDIRECTORY( qxt )
ADD_SUBDIRECTORY( kdsingleapplicationguard )
ADD_SUBDIRECTORY( qt-certificate-addon )
IF( WITH_CRASHREPORTER )
    ADD_SUBDIRECTORY( libcrashreporter-qt )
ENDIF()
IF( APPLE )
    ADD_SUBDIRECTORY( SPMediaKeyTap )
ENDIF()
