=== src/accounts/CMakeLists.txt ===

file(GLOB SUBDIRECTORIES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} "*")
foreach(SUBDIRECTORY ${SUBDIRECTORIES})
  if(IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${SUBDIRECTORY}" AND EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/${SUBDIRECTORY}/CMakeLists.txt")
    if((SUBDIRECTORY STREQUAL "xmpp") OR (SUBDIRECTORY STREQUAL "google"))
        if( JREEN_FOUND )
            add_subdirectory(${SUBDIRECTORY})
        endif()
    elseif(SUBDIRECTORY STREQUAL "hatchet")
        if(BUILD_HATCHET AND BUILD_GUI)
            add_subdirectory(hatchet)
        endif()
    else()
        add_subdirectory(${SUBDIRECTORY})
    endif()
  endif()
endforeach()
