=== src/libtomahawk-widgets/CMakeLists.txt ===

set(TOMAHAWK_WIDGETS_LIBRARY_TARGET tomahawk-widgets)

list(APPEND ${TOMAHAWK_WIDGETS_LIBRARY_TARGET}_SOURCES
    PlaylistDelegate.cpp
    PlaylistWidget.cpp
)

list(APPEND ${TOMAHAWK_WIDGETS_LIBRARY_TARGET}_UI
)

tomahawk_add_library(${TOMAHAWK_WIDGETS_LIBRARY_TARGET}
    SOURCES ${${TOMAHAWK_WIDGETS_LIBRARY_TARGET}_SOURCES}
    UI ${${TOMAHAWK_WIDGETS_LIBRARY_TARGET}_UI}
    EXPORT TomahawkLibraryDepends
    VERSION ${TOMAHAWK_VERSION_SHORT}
)
