=== src/libtomahawk/CMakeLists.txt ===
project( tomahawklib )

add_definitions( ${QT_DEFINITIONS} )
add_definitions( -DQT_SHARED )
add_definitions( -DDLLEXPORT_PRO )
add_definitions( -DQT_SHAREDPOINTER_TRACK_POINTERS )
add_definitions( -DPORTFWDDLLEXPORT_STATIC )

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/../tomahawk/Config.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/../tomahawk/TomahawkVersion.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/TomahawkVersion.h)

set( libGuiSources
    ActionCollection.cpp

    ContextMenu.cpp
    DropJob.cpp
    GlobalActionManager.cpp
    ViewPage.cpp
    ViewPageLazyLoader.cpp
    ViewPagePlugin.cpp
    ViewManager.cpp
    LatchManager.cpp

    jobview/JobStatusView.cpp
    jobview/JobStatusModel.cpp
    jobview/JobStatusDelegate.cpp
    jobview/JobStatusItem.cpp
    jobview/AclJobItem.cpp
    jobview/PipelineStatusItem.cpp
    jobview/ScannerStatusItem.cpp
    jobview/TransferStatusItem.cpp
    jobview/LatchedStatusItem.cpp
    jobview/ErrorStatusMessage.cpp
    jobview/IndexingJobItem.cpp
    jobview/InboxJobItem.cpp

    playlist/InboxModel.cpp
    playlist/InboxView.cpp
    playlist/ContextView.cpp
    playlist/TreeModel.cpp
    playlist/TreeProxyModel.cpp
    playlist/TreeProxyModelPlaylistInterface.cpp
    playlist/ColumnItemDelegate.cpp
    playlist/ColumnViewPreviewWidget.cpp
    playlist/PlaylistModel.cpp
    playlist/PlaylistItemDelegate.cpp
    playlist/QueueProxyModel.cpp
    playlist/QueueView.cpp
    playlist/PlayableModel.cpp
    playlist/PlayableProxyModel.cpp
    playlist/PlayableProxyModelPlaylistInterface.cpp
    playlist/TrackView.cpp
    playlist/AlbumModel.cpp
    playlist/GridItemDelegate.cpp
    playlist/GridView.cpp
    playlist/ColumnView.cpp
    playlist/ViewHeader.cpp
    playlist/LovedTracksModel.cpp
    playlist/RecentlyLovedTracksModel.cpp
    playlist/TopLovedTracksModel.cpp
    playlist/RecentlyAddedModel.cpp
    playlist/RecentlyPlayedModel.cpp
    playlist/TrackItemDelegate.cpp
    playlist/PlayableItem.cpp
    playlist/SingleTrackPlaylistInterface.cpp
    playlist/RevisionQueueItem.cpp
    playlist/TrackDetailView.cpp

    playlist/dynamic/DynamicPlaylist.cpp
    playlist/dynamic/DynamicView.cpp
    playlist/dynamic/DynamicModel.cpp
    playlist/dynamic/echonest/EchonestGenerator.cpp
    playlist/dynamic/echonest/EchonestControl.cpp
    playlist/dynamic/echonest/EchonestSteerer.cpp
    playlist/dynamic/widgets/DynamicWidget.cpp
    playlist/dynamic/widgets/DynamicControlWrapper.cpp
    playlist/dynamic/widgets/DynamicControlList.cpp
    playlist/dynamic/widgets/ReadOrWriteWidget.cpp
    playlist/dynamic/widgets/MiscControlWidgets.cpp
    playlist/dynamic/widgets/CollapsibleControls.cpp
    playlist/dynamic/widgets/DynamicSetupWidget.cpp

    resolvers/ExternalResolverGui.cpp
    resolvers/ScriptResolver.cpp
    resolvers/JSResolver.cpp
    resolvers/JSResolverHelper.cpp
    resolvers/ScriptEngine.cpp

    utils/DpiScaler.cpp
    utils/ImageRegistry.cpp
    utils/WidgetDragFilter.cpp
    utils/XspfGenerator.cpp
    utils/JspfLoader.cpp
    utils/SpotifyParser.cpp
    utils/M3uLoader.cpp
    utils/ItunesParser.cpp
    utils/ItunesLoader.cpp
    utils/ShortenedLinkParser.cpp
    utils/TomahawkStyle.cpp
    utils/DropJobNotifier.cpp
    utils/ProxyStyle.cpp
    utils/TomahawkUtilsGui.cpp
    utils/Closure.cpp
    utils/PixmapDelegateFader.cpp
    utils/SmartPointerList.h
    utils/AnimatedSpinner.cpp
    utils/BinaryInstallerHelper.cpp
    utils/BinaryExtractWorker.cpp
    utils/SharedTimeLine.cpp
    utils/ResultUrlChecker.cpp
    utils/NetworkReply.cpp
    utils/NetworkProxyFactory.cpp
    utils/NetworkAccessManager.cpp
    utils/ShortLinkHelper.cpp

    viewpages/SearchViewPage.cpp
    viewpages/SourceViewPage.cpp
    viewpages/ArtistViewPage.cpp
    viewpages/AlbumViewPage.cpp
    viewpages/TrackViewPage.cpp
    viewpages/PlaylistViewPage.cpp
    viewpages/CollectionViewPage.cpp

    widgets/AnimatedSplitter.cpp
    widgets/BasicHeader.cpp
    widgets/HoverControls.cpp
    widgets/BackgroundWidget.cpp
    widgets/Breadcrumb.cpp
    widgets/BreadcrumbButton.cpp
    widgets/ChartDataLoader.cpp
    widgets/ClickableLabel.cpp
    widgets/ComboBox.cpp
    widgets/ElidedLabel.cpp
    widgets/FilterHeader.cpp
    widgets/CaptionLabel.cpp
    widgets/HeaderLabel.cpp
    widgets/HistoryWidget.cpp
    widgets/ImageButton.cpp
    widgets/OverlayButton.cpp
    widgets/OverlayWidget.cpp
    widgets/PlayableCover.cpp
    widgets/PlaylistsModel.cpp
    widgets/QueryLabel.cpp
    widgets/RecentPlaylistsModel.cpp
    widgets/RecentlyPlayedPlaylistsModel.cpp
    widgets/ScriptCollectionHeader.cpp
    widgets/ScrollingLabel.cpp
    widgets/SeekSlider.cpp
    widgets/SourceTreePopupDialog.cpp
    widgets/ToggleButton.cpp

    widgets/searchlineedit/ClearButton.cpp
    widgets/searchlineedit/LineEdit.cpp
    widgets/searchlineedit/SearchButton.cpp
    widgets/searchlineedit/SearchLineEdit.cpp
)

if(QCA2_FOUND)
    set( libGuiSources ${libGuiSources} utils/GroovesharkParser.cpp )
endif()

if(UNIX AND NOT APPLE AND NOT Qt5Core_DIR)
    if(BUILD_GUI AND X11_FOUND)
        include_directories( ${THIRDPARTY_DIR}/libqnetwm )
        list(APPEND libSources ${libSources} ${THIRDPARTY_DIR}/libqnetwm/libqnetwm/netwm.cpp)
        list(APPEND LINK_LIBRARIES ${X11_LIBRARIES})
    endif()
endif()

list(APPEND libSources
    TomahawkSettings.cpp
    SourceList.cpp
    Pipeline.cpp

    Artist.cpp
    ArtistPlaylistInterface.cpp
    Album.cpp
    AlbumPlaylistInterface.cpp
    CountryUtils.cpp
    FuncTimeout.cpp
    Playlist.cpp
    PlaylistEntry.cpp
    PlaylistPlaylistInterface.cpp
    MetaPlaylistInterface.cpp
    Query.cpp
    Result.cpp
    Source.cpp
    Track.cpp
    TrackData.cpp
    SourcePlaylistInterface.cpp
    PlaylistInterface.cpp
    UrlHandler.cpp

    EchonestCatalogSynchronizer.cpp

    accounts/AccountManager.cpp
    accounts/Account.cpp
    accounts/AccountModel.cpp
    accounts/AccountModelFilterProxy.cpp
    accounts/CredentialsManager.cpp
    accounts/ResolverAccount.cpp
    accounts/AccountDelegate.cpp
    accounts/DelegateConfigWrapper.cpp
    accounts/AccountFactoryWrapper.cpp
    accounts/AccountFactoryWrapperDelegate.cpp
    accounts/AccountConfigWidget.cpp
    accounts/ConfigStorage.cpp
    accounts/LocalConfigStorage.cpp

    accounts/spotify/SpotifyAccount.cpp
    accounts/spotify/SpotifyAccountConfig.cpp
#    accounts/spotify/SpotifyPlaylistUpdater.cpp
    accounts/spotify/SpotifyInfoPlugin.cpp

    audio/AudioEngine.cpp

    collection/Collection.cpp
    collection/ArtistsRequest.cpp
    collection/AlbumsRequest.cpp
    collection/TracksRequest.cpp

    database/Database.cpp
    database/fuzzyindex/FuzzyIndex.cpp
    database/fuzzyindex/DatabaseFuzzyIndex.cpp
    database/DatabaseCollection.cpp
    database/LocalCollection.cpp
    database/DatabaseWorker.cpp
    database/DatabaseImpl.cpp
    database/DatabaseResolver.cpp
    database/DatabaseCommand.cpp
    database/DatabaseCommand_AddClientAuth.cpp
    database/DatabaseCommand_AddFiles.cpp
    database/DatabaseCommand_AddSource.cpp
    database/DatabaseCommand_AllAlbums.cpp
    database/DatabaseCommand_AllArtists.cpp
    database/DatabaseCommand_AllTracks.cpp
    database/DatabaseCommand_ArtistStats.cpp
    database/DatabaseCommand_CalculatePlaytime.cpp
    database/DatabaseCommand_ClientAuthValid.cpp
    database/DatabaseCommand_CollectionAttributes.cpp
    database/DatabaseCommand_CollectionStats.cpp
    database/DatabaseCommand_CreateDynamicPlaylist.cpp
    database/DatabaseCommand_CreatePlaylist.cpp
    database/DatabaseCommand_DeleteDynamicPlaylist.cpp
    database/DatabaseCommand_DeleteFiles.cpp
    database/DatabaseCommand_DeleteInboxEntry.cpp
    database/DatabaseCommand_DeletePlaylist.cpp
    database/DatabaseCommand_DirMtimes.cpp
    database/DatabaseCommand_FileMTimes.cpp
    database/DatabaseCommand_GenericSelect.cpp
    database/DatabaseCommand_LoadAllAutoPlaylists.cpp
    database/DatabaseCommand_LoadAllPlaylists.cpp
    database/DatabaseCommand_LoadAllSortedPlaylists.cpp
    database/DatabaseCommand_LoadAllSources.cpp
    database/DatabaseCommand_LoadAllStations.cpp
    database/DatabaseCommand_LoadDynamicPlaylist.cpp
    database/DatabaseCommand_LoadDynamicPlaylistEntries.cpp
    database/DatabaseCommand_LoadFiles.cpp
    database/DatabaseCommand_LoadInboxEntries.cpp
    database/DatabaseCommand_LoadOps.cpp
    database/DatabaseCommand_LoadPlaylistEntries.cpp
    database/DatabaseCommand_LoadSocialActions.cpp
    database/DatabaseCommand_LoadTrackAttributes.cpp
    database/DatabaseCommand_LogPlayback.cpp
    database/DatabaseCommand_ModifyInboxEntry.cpp
    database/DatabaseCommand_ModifyPlaylist.cpp
    database/DatabaseCommand_NetworkCharts.cpp
    database/DatabaseCommand_PlaybackCharts.cpp
    database/DatabaseCommand_PlaybackHistory.cpp
    database/DatabaseCommand_RenamePlaylist.cpp
    database/DatabaseCommand_Resolve.cpp
    database/DatabaseCommand_SetCollectionAttributes.cpp
    database/DatabaseCommand_SetDynamicPlaylistRevision.cpp
    database/DatabaseCommand_SetPlaylistRevision.cpp
    database/DatabaseCommand_SetTrackAttributes.cpp
    database/DatabaseCommand_ShareTrack.cpp
    database/DatabaseCommand_SocialAction.cpp
    database/DatabaseCommand_SourceOffline.cpp
    database/DatabaseCommand_TrackAttributes.cpp
    database/DatabaseCommand_TrackStats.cpp
    database/DatabaseCommand_TrendingArtists.cpp
    database/DatabaseCommand_TrendingTracks.cpp
    database/DatabaseCommand_UpdateSearchIndex.cpp
    database/DatabaseCommandLoggable.cpp
    database/IdThreadWorker.cpp
    database/TomahawkSqlQuery.cpp

    infosystem/InfoSystem.cpp
    infosystem/InfoSystemCache.cpp
    infosystem/InfoSystemWorker.cpp

    filemetadata/MusicScanner.cpp
    filemetadata/ScanManager.cpp
    filemetadata/taghandlers/tag.cpp
    filemetadata/taghandlers/apetag.cpp
    filemetadata/taghandlers/asftag.cpp
    filemetadata/taghandlers/id3v1tag.cpp
    filemetadata/taghandlers/id3v2tag.cpp
    filemetadata/taghandlers/mp4tag.cpp
    filemetadata/taghandlers/oggtag.cpp
    filemetadata/MetadataEditor.cpp

    network/acl/AclRegistry.cpp
    network/acl/AclRequest.cpp
    network/BufferIoDevice.cpp
    network/Msg.cpp
    network/MsgProcessor.cpp
    network/StreamConnection.cpp
    network/DbSyncConnection.cpp
    network/RemoteCollection.cpp
    network/PortFwdThread.cpp
    network/Servent.cpp
    network/Connection.cpp
    network/ControlConnection.cpp
    network/QTcpSocketExtra.cpp
    network/ConnectionManager.cpp

    playlist/PlaylistUpdaterInterface.cpp
    playlist/PlaylistTemplate.cpp
    playlist/XspfPlaylistTemplate.cpp
    playlist/dynamic/DynamicPlaylist.cpp
    playlist/dynamic/GeneratorFactory.cpp
    playlist/dynamic/GeneratorInterface.cpp
    playlist/dynamic/DynamicPlaylistRevision.cpp
    playlist/XspfUpdater.cpp
    playlist/dynamic/database/DatabaseGenerator.cpp
    playlist/dynamic/database/DatabaseControl.cpp
    playlist/dynamic/DynamicControl.cpp

    resolvers/ExternalResolver.cpp
    resolvers/Resolver.cpp
    resolvers/ScriptCollection.cpp
    resolvers/ScriptCommand_AllArtists.cpp
    resolvers/ScriptCommand_AllAlbums.cpp
    resolvers/ScriptCommand_AllTracks.cpp
    resolvers/ScriptCommand_LookupUrl.cpp
    resolvers/ScriptCommandQueue.cpp

    sip/SipPlugin.cpp
    sip/SipInfo.cpp
    sip/PeerInfo.cpp
    sip/SipStatusMessage.cpp

    utils/Cloudstream.cpp
    utils/Json.cpp
    utils/TomahawkUtils.cpp
    utils/Logger.cpp
    utils/Qnr_IoDeviceStream.cpp
    utils/XspfLoader.cpp
    utils/TomahawkCache.cpp
    utils/GuiHelpers.cpp
    utils/WeakObjectHash.cpp
    utils/WeakObjectList.cpp
    utils/PluginLoader.cpp
)

add_subdirectory( accounts/configstorage )

IF(LIBLASTFM_FOUND)
    include_directories( ${LIBLASTFM_INCLUDE_DIRS} )
    list(APPEND LINK_LIBRARIES ${LIBLASTFM_LIBRARIES} )
    list(APPEND libSources
        accounts/lastfm/LastFmAccount.cpp
