=== debian/changelog ===
tomahawk-player (0.8.4+dfsg1-0ubuntu1) xenial; urgency=medium

  * New upstream release (LP: #1487729)
  * Repack upstream tarball
  
 -- Stefan Ahlers <stef.ahlers@t-online.de>  Tue, 02 Mar 2016 12:20:00 +0100

tomahawk (0.7.0+dfsg1-0ubuntu10) xenial; urgency=medium

  * Rebuild against No-change rebuild against multiarch and different qt
    flavour jreen 1.2.0-1fakesync1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Feb 2016 10:35:28 +0100

tomahawk (0.7.0+dfsg1-0ubuntu9) xenial; urgency=medium

  * No-change rebuild for qca2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2016 15:34:34 +0000

tomahawk (0.7.0+dfsg1-0ubuntu8) xenial; urgency=medium

  * No-change rebuild against new libechonest.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 12 Dec 2015 16:52:17 -0500

tomahawk (0.7.0+dfsg1-0ubuntu7) wily; urgency=medium

  * No-change rebuild against libclucene-core1v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Aug 2015 18:34:45 +0000

tomahawk (0.7.0+dfsg1-0ubuntu6) utopic; urgency=medium

  * Build-depend on libquazip-dev rather than libquazip0-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Sep 2014 12:30:48 +0100

tomahawk (0.7.0+dfsg1-0ubuntu5) trusty; urgency=medium

  * Fix install files even harder for armhf (add arm specific file)
  * Set WITH_BREAKPAD to OFF for arm variants so maybe arm64 will build

 -- Scott Kitterman <scott@kitterman.com>  Sat, 22 Mar 2014 22:59:27 -0400

tomahawk (0.7.0+dfsg1-0ubuntu4) trusty; urgency=medium

  * Really fix install files (LP: #1295069)

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 20 Mar 2014 15:38:12 +0100

tomahawk (0.7.0+dfsg1-0ubuntu3) trusty; urgency=medium

  * Add kubuntu_fix-plugin-install.patch to fix plugin path installation
    (LP: #1287163)
  * Fix install files to not install headers

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Mar 2014 18:08:46 +0100

tomahawk (0.7.0+dfsg1-0ubuntu1) trusty; urgency=medium

  [ Aaron Honeycutt ]
  * New upstream release (LP: #1162601)
  * Repack upstream tarball so it's DFSG compliant

  [ Rohan Garg ]
  * Update copyright file a bit

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 10 Feb 2014 20:09:50 +0100

tomahawk (0.6.0+dfsg1-0ubuntu3) saucy; urgency=low

  * Rebuild for libechonest2.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 17 Jul 2013 00:43:49 +0100

tomahawk (0.6.0+dfsg1-0ubuntu2) raring; urgency=low

  * Build with jreen and qtweetlib

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 15 Mar 2013 13:51:06 +0100

tomahawk (0.6.0+dfsg1-0ubuntu1) raring; urgency=low

  * Reduce dfsg stripping to fix build (source remains still DFSG compliant)

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 07 Mar 2013 23:40:27 +0100

tomahawk (0.6.0+dfsg-0ubuntu1) raring; urgency=low

  [ Prasad Murthy ]
  * Update debian/copyright
  * debian/control:
    - Remove Recommends: gstreamer0.10-plugins-ugly
    - Update Maintainer to Kubuntu developers
    - Drop build-depends
      + libqtweetlib-dev
      + libjreen-dev
  * debian/rules:
    - override_dh_auto_configure:
      + Drop -DBUILD_RELEASE=ON
      + Drop -DCMAKE_BUILD_TYPE=Release

  [ Harald Sitter ]
  * New upstream release
  * Bump standards version to 3.9.4 and prepare for inclusion in raring
  * Make -dbg package section debug and priority extra
  * Don't version-dep on libechonest
  * Change libexec path from /usr/libexec to /usr/lib/tomahawk/libexec/
    as that seems more FHS compliant. Also int he long run plugins should
    become movable to /usr/lib/tomahawk/
  * Add debian/repack.stub and debian/repack.local to do DFSG repack

 -- Harald Sitter <apachelogger@ubuntu.com>  Thu, 07 Mar 2013 23:29:42 +0100

tomahawk (0.6.0~beta1-0ubuntu1~ppa1~quantal1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 14 Jan 2013 16:04:30 +0100

tomahawk (0.5.5-0ubuntu1~ppa1~quantal1) quantal; urgency=low

  * New upstream release 
  * Add pkg-config to build-depends to fix a cmake warning with echonest
  * Bump build-dep on libechonest-dev to >= 2~

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 26 Jul 2012 12:38:28 +0200

tomahawk (0.5.4-0ubuntu1~ppa1~quantal1) quantal; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 15 Jul 2012 14:42:01 +0200

tomahawk (0.5.3-0ubuntu1~ppa1~quantal) quantal; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 07 Jul 2012 12:01:20 +0200

tomahawk (0.5.2-0ubuntu1~ppa1~quantal1) quantal; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 02 Jul 2012 00:23:22 +0200

tomahawk (0.5.1-0ubuntu1~ppa1~quantal1) quantal; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 01 Jul 2012 20:40:49 +0200

tomahawk (0.5.0-0ubuntu1~ppa1~quantal1) quantal; urgency=low

  * New upstream release 
    - bump build-dep on attica
    - update install file

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 25 Jun 2012 15:24:46 +0200

tomahawk (0.4.2-0ubuntu1~ppa2~precise1) precise; urgency=low

  * Add build-dep on libquazip-dev 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 09 Apr 2012 01:24:04 +0200

tomahawk (0.4.2-0ubuntu1~ppa1~precise1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 07 Apr 2012 19:16:13 +0200

tomahawk (0.4.0-0ubuntu1~ppa1~precise3) precise; urgency=low

  * Import upstream commit c6cd6821bfe1e2c2a8de10f1ca3ea30940dbf27c from
    master as support_qtweetlibs_0.5.diff
    for QTweetLib 0.5 support and adjust it for tomahawk 0.4 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 11 Mar 2012 14:13:57 +0100

tomahawk (0.4.0-0ubuntu1~ppa1~precise2) precise; urgency=low

  * Rebuild against new QTweetLib 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 11 Mar 2012 11:26:26 +0100

tomahawk (0.4.0-0ubuntu1~ppa1~precise1) precise; urgency=low

  * New upstream release 
  * Drop jreen sources and packages and build-depend on libjreen-dev instead


