=== debian/control ===
Source: tomahawk-player
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Stefan Ahlers <stef.ahlers@t-online.de>
Build-Depends: cmake,
               debhelper (>= 9),
               fonts-roboto-hinted,
               kdelibs-bin,
               kdelibs5-dev,
               libattica-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-thread-dev,
               libechonest-dev,
               libfftw3-dev,
               libgnutls28-dev,
               libgsasl7-dev,
               libjs-cryptojs,
               libjreen-dev,
               liblastfm-dev,
               liblucene++-dev,
               libphonon-dev,
               libphononexperimental-dev,
               libqca2-dev,
               libqjson-dev,
               libqt4-dev,
               libqt4-sql-sqlite,
               libqtwebkit-dev,
               libquazip-dev,
               libsamplerate0-dev,
               libsparsehash-dev,
               libssl-dev,
               libtag1-dev,
               libtelepathy-qt4-dev,
               libwebsocketpp-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools,
               qtkeychain-dev,
               zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://tomahawk-player.org

Package: tomahawk
Architecture: any
Depends: fonts-roboto-hinted,
	 libqca2-plugin-ossl,
         libqt4-sql-sqlite,
         libtomahawk,
         ${misc:Depends}, ${shlibs:Depends}
Recommends: phonon-backend-vlc
Description: Multi source music player
 A music player that plays not only your local collection, but also
 streams from SoundCloud, Spotify, Beats, YouTube and many more.
 You can even connect Tomahawk with your friends via Jabber / GTalk
 and share your playlists and collection.

Package: libtomahawk
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Core libraries for tomahawk
 A music player that plays not only your local collection, but also
 streams from SoundCloud, Spotify, Beats, YouTube and many more.
 You can even connect Tomahawk with your friends via Jabber / GTalk
 and share your playlists and collection.
 .
 This package contains the core libraries for the tomahawk player.

Package: libtomahawk-dev
Architecture: any
Multi-Arch: same
Depends: libtomahawk (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Core libraries for tomahawk – development files
 A music player that plays not only your local collection, but also
 streams from SoundCloud, Spotify, Beats, YouTube and many more.
 You can even connect Tomahawk with your friends via Jabber / GTalk
 and share your playlists and collection.
 .
 This package contains the development files for the core libraries.

Package: tomahawk-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: tomahawk (= ${binary:Version}), ${misc:Depends}
Description: Social media player - debugging symbols
 This package contains the debugging symbols to be used for debugging
 problems with the tomahawk package.
